INTERFACE
SUBROUTINE m7_interface&
 & ( kidia, kfdia, klon, klev, ktracer,&
 & papp1, paphp1,&
 & ptp1,&
 & pqp1,&
 & paclc,&
 & PTSPHY,&
 & PCEN , PTENC,&
 & PAERODDF,&
 & PAEROU1,PAEROU2,PAEROU3,PAEROU4,&
 & PAEROU5,PAEROU6,PAEROU7,PAEROU8 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL ,ONLY : NGHG, NGRG, NTRAC, NACTAERO
USE YO_AERO_M7, ONLY : lsnucl, lscoag , lscond , lmass_diag&
 & , naermod, nmod , nss , nsol , nm7aer&
 & , iso4ns, iso4ks , iso4as , iso4cs, ibcks , ibcas , ibccs , ibcki&
 & , iocks , iocas , ioccs , iocki , issas , isscs&
 & , iduas , iducs , iduai , iduci , inucs , iaits , iaccs , icoas&
 & , iaiti , iacci , icoai&
 & , ctrac 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev, ktracer
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(IN) :: papp1(klon ,klev), paclc(klon ,klev),&
 & ptp1(klon ,klev), pqp1(klon ,klev) 
REAL(KIND=JPRB),INTENT(IN) :: paphp1(klon ,klev+1)
REAL(KIND=JPRB),INTENT(INOUT) :: PCEN (klon ,klev,ktracer)
REAL(KIND=JPRB),INTENT(OUT) :: PTENC(klon ,klev,ktracer)
REAL(KIND=JPRB),INTENT(INOUT) :: PAERODDF(klon,NACTAERO,8)
REAL(KIND=JPRB),INTENT(INOUT) :: PAEROU1(klon,klev), PAEROU2(klon,klev), PAEROU3(klon,klev), PAEROU4(klon,klev)
REAL(KIND=JPRB),INTENT(INOUT) :: PAEROU5(klon,klev), PAEROU6(klon,klev), PAEROU7(klon,klev), PAEROU8(klon,klev)
END SUBROUTINE m7_interface
END INTERFACE
